# build_fb: Build frame buffer backend 
#	0 = no
#	1 = yes
%define build_fb	1

# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_fb: %{expand: %%define build_fb 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_fb: %{expand: %%define build_fb 1}}


# required version of various libraries
%define req_glib_version		2.2.0
%define req_pango_version		1.2.0-3mdk
%define req_atk_version			1.2.0

%define pkgname			gtk+
%define libname			lib%{pkgname}
%define api_version		2.0
%define binary_version	2.2
%define lib_major		0
%define major_version   2
%define minor_version   2
%define micro_version	1


Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	%{major_version}.%{minor_version}.%{micro_version}
Release:	2mdk
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v%{api_version}/%{pkgname}-%{version}.tar.bz2
Source1:    gtk2.sh.bz2
Source2:	gtk2.csh.bz2
# extra IM modules (vietnamese and tamil) -- pablo
Patch4:		gtk+-2.1.2-extra_im.patch.bz2 
# (fc) 2.0.6-8mdk fix infinite loop and crash in file selector when / and $HOME are not readable (bug #90)
Patch5:		gtk+-2.0.6-fileselectorfallback.patch.bz2
# (fc) 2.1.5-1mdk Hook Xft to XSETTINGS (rawhide)
Patch6:		gtk+-2.2.1-xftprefs.patch.bz2
# (fc) 2.2.1-2mdk always set adjustement in textview (fix crash in rpmdrake) (CVS)
Patch7:		gtk+-2.2.1-adjustements.patch.bz2
# (fc) 2.2.1-2mdk don't try to use locale based setting for KP_Decimal (Mdk bug #1333)
Patch8:		gtk+-2.2.1-decimalkeypad.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	Xft-devel
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pango-devel >= %{req_pango_version}

%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
# needed in %post scripts
PreReq: %{libname}%{api_version}_%{lib_major} = %{version}
PreReq: libgdk_pixbuf%{api_version}_%{lib_major} = %{version}
Provides:	%{pkgname}2 = %{version}-%{release}
Obsoletes:	%{pkgname}2


%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}%{api_version}_%{lib_major}
Summary: %{summary}
Group:	 %{group}
Obsoletes:	%{libname}2
Provides:	%{libname}2 = %{version}-%{release}
Provides:	%{libname}%{api_version} = %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:	%{name}-backend = %{version}
Requires:   libglib2.0 >= %{req_glib_version}
Requires:   libpango1.0 >= %{req_pango_version}
Requires:   libatk1.0 >= %{req_atk_version}
Conflicts:  libgnomeui2_0 <= 2.0.5

%description -n %{libname}%{api_version}_%{lib_major}
This package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. It 
contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

This package contains the library needed to run programs dynamically
linked with gtk+.
%package -n %{libname}%{api_version}_%{lib_major}-devel
Summary:	Development files for GTK+ (GIMP ToolKit) applications.
Group:		Development/GNOME and GTK+
Requires:	%{libname}%{api_version}_%{lib_major} = %{version}
Conflicts:  libgtk+2-devel < 2.0.0

%description -n %{libname}%{api_version}_%{lib_major}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).


%package -n libgdk_pixbuf%{api_version}_%{lib_major}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}

%description -n libgdk_pixbuf%{api_version}_%{lib_major}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n libgdk_pixbuf%{api_version}_%{lib_major}-devel
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	libgdk_pixbuf%{api_version}_%{lib_major} = %{version}
Requires:	libglib2.0-devel >= %{req_glib_version}

%description -n libgdk_pixbuf%{api_version}_%{lib_major}-devel
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.
%package -n %{libname}-x11-%{api_version}_%{lib_major}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Provides:	%{libname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires:	libgdk_pixbuf%{api_version}_%{lib_major} = %{version}
Conflicts:  libgtk+2-devel < 2.0.0

%description -n %{libname}-x11-%{api_version}_%{lib_major}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname}-x11-%{api_version}_%{lib_major}-devel
Summary:	Development files for X11 backend of GTK+
Group:		Development/GNOME and GTK+
Obsoletes:	%{pkgname}2-devel
Obsoletes:  %{libname}2-devel
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	%{libname}2-devel = %{version}-%{release}
Provides:	%{libname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:   %{libname}%{api_version}_%{lib_major}-devel = %{version}-%{release}
Requires:	%{libname}-x11-%{api_version}_%{lib_major} = %{version}
Requires:	libgdk_pixbuf%{api_version}_%{lib_major}-devel = %{version}
Requires:	XFree86-devel
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{libname}-x11-%{api_version}_%{lib_major}-devel
This package contains the development files needed to compile programs
with gtk+ X11 version.

%package -n %{libname}-linuxfb-%{api_version}_%{lib_major}
Summary:	Frame-Buffer backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Obsoletes:	%{libname}2-linuxfb
Provides:	%{libname}2-linuxfb = %{version}-%{release}
Provides:	%{libname}-linuxfb-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires:	libgdk_pixbuf%{api_version}_%{lib_major} = %{version}

%description -n %{libname}-linuxfb-%{api_version}_%{lib_major}
This package contains the Frame Buffer version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname}-linuxfb-%{api_version}_%{lib_major}-devel
Summary:	Development files for frame-buffer backend of GTK+
Group:		Development/GNOME and GTK+
Obsoletes:	%{libname}2-linuxfb-devel
Provides:	%{libname}2-linuxfb-devel = %{version}-%{release}
Provides:	%{libname}-linuxfb-%{api_version}-devel = %{version}-%{release}
Requires:   %{libname}%{api_version}_%{lib_major}-devel = %{version}-%{release}
Requires:	%{libname}-linuxfb-%{api_version}_%{lib_major} = %{version}
Requires:	libgdk_pixbuf%{api_version}_%{lib_major}-devel = %{version}
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{libname}-linuxfb-%{api_version}_%{lib_major}-devel
This package contains the development files needed to compile programs
with gtk+ Frame Buffer.

%prep
%setup -n %{pkgname}-%{version} -q
%patch4 -p1 -b .extra_im
%patch5 -p1 -b .fileselectorfallback
%patch6 -p1 -b .xftprefs
%patch7 -p1 -b .adj
%patch8 -p1 -b .decimalkeypad

# fix build
libtoolize --force
aclocal
autoconf

#needed by patch10
automake

%build

# gcc 3.1 miscompile gtk with -O3 
CFLAGS=`echo %optflags | sed 's/-O3/-O2/g'`
export CFLAGS

# Build X11 backend
mkdir X11-build
cd X11-build

CONFIGURE_TOP=.. %configure2_5x \
	--with-xinput=xfree \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif


%make
make check

cd ..
# Then build frame buffer counterpart
%if %build_fb
mkdir fb-build
cd fb-build
CONFIGURE_TOP=.. %configure2_5x \
	--with-gdktarget=linux-fb \
	--enable-gtk-doc=no

%make
cd ..
%endif


%install
rm -rf $RPM_BUILD_ROOT

# Avoid conflict with different ChangeLogs
cp ./contrib/gdk-pixbuf-xlib/ChangeLog ./contrib/gdk-pixbuf-xlib/ChangeLog-gdk-pixbuf-xlib}
cp ./gdk-pixbuf/ChangeLog ./gdk-pixbuf/ChangeLog-gdk-pixbuf

%if %build_fb
cd fb-build
%makeinstall_std
cd ..
%endif

cd X11-build
%makeinstall_std mandir=%{_mandir}

cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gtk.immodules
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders

%{find_lang} gtk20

# install profile.d stuff
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gtk2.sh
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gtk2.csh
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/*

#remove not packaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgdk_pixbuf%{api_version}_%{lib_major} -p /sbin/ldconfig
%postun -n libgdk_pixbuf%{api_version}_%{lib_major} -p /sbin/ldconfig

%post -n %{libname}-x11-%{api_version}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}-x11-%{api_version}_%{lib_major} -p /sbin/ldconfig

%post -n %{libname}-linuxfb-%{api_version}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}-linuxfb-%{api_version}_%{lib_major} -p /sbin/ldconfig

%post 
%{_bindir}/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
%{_bindir}/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders

%files -f gtk20.lang
%defattr(-, root, root)
%doc INSTALL README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gdk-pixbuf-query-loaders
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders
%config(noreplace) %{_sysconfdir}/profile.d/*

%files -n %{libname}%{api_version}_%{lib_major}
%defattr(-, root, root)
%doc INSTALL README
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so

%files -n %{libname}%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%doc %{_datadir}/gtk-doc/html/gdk
%doc %{_datadir}/gtk-doc/html/gtk
%{_bindir}/gtk-demo
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc


%files -n libgdk_pixbuf%{api_version}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.so

%files -n libgdk_pixbuf%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc contrib/gdk-pixbuf-xlib/ChangeLog-* gdk-pixbuf/ChangeLog-*
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%dir %{_includedir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk-pixbuf*
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/libgdk_pixbuf*.la
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_mandir}/man1/*


%files -n %{libname}-x11-%{api_version}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/*x11*.so.*

%files -n %{libname}-x11-%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/*x11*.so
%{_libdir}/*x11*.la
%{_libdir}/pkgconfig/*x11*


%if %build_fb
%files -n %{libname}-linuxfb-%{api_version}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so.*

%files -n %{libname}-linuxfb-%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so
%{_libdir}/*linux-fb*.la
%{_libdir}/pkgconfig/*linux-fb*
%endif


%changelog
* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-2mdk
- Update login script to allow XFT use for ja and he locale 
  (XFT can now load their fonts)
- Patch7 (CVS): fix always set adjustement in textview (fix crash in rpmdrake)
- Patch8 : don't try to use locale based setting for KP_Decimal (fix mdk bug 1333)

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Regenerate patch6

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-3mdk
- Update patch6 to support hinting

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Rebuild against latest Xft2 (from XF 4.2.99) and pango

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch7 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Patch7 (CVS): fix filter on X11 event - this fix plug/socket for MCC 
 (bug #101512)

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Remove patch6 (merged upstream)
- Ptch6 (rawhide): hook up Xft to XSETTINGS

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Patch6: disable debug text in textview

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Bump glib requirement

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Remove patches 10 & 11 (merged upstream)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- from announce : 
   WARNING : GTK+-2.1.x exposes a bug in libgnomeui where libgnomeui
   was creating a widget of type GtkWidget instead of a derived
   class; to fix this, upgrade to libgnomeui-2.1.0.
- Remove patches 3 & 6, 7, 8, 9(merged upstream)
- Regenerate patch4 for gtk+ 2.1.x and no longer patch Makefile.in files
- Patch10 (CVS): fix gdk-pixbuf.loaders generation
- Patch11 (CVS): fix linux-fb compilation

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-3mdk
- Patch9 (CVS): correctly refcount colormap (fix metacity bug #94806)

* Wed Nov 13 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-2mdk
- BuildRequires

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8
- Remove patch9 (merged upstream)

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-3mdk
- Add explicit dependency on pango >= 1.1.3 (Michal Bukovjan)
- Patch9 (CVS): fix LZWP_SP typo

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-2mdk
- Recompiled with pango 1.1.3 (Xft support)

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7
- Remove patches 0, 1, 2 (merged upstream)

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-8mdk
- Patch5:  fix infinite loop and crash in file selector when / and 
  $HOME are not readable (bug #90)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-7mdk
- Remove the G_BROKEN_FILENAMES thing, it is handled in glib2 package

* Wed Aug 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.6-6mdk
- added some extra IM (vi-telex, vi-vni, tml-tscii, tml-uni)
- re-enabled GDK_USE_XFT for all latin and cyrillic languages
  (a default font will be provided)
- define G_BROKEN_FILENAMES=1 by default (this tells to use locale
  encoding for file names, instead of using utf-8)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-5mdk
- Fix source2 again (bug #136)
- Patch3 (rawhide): Fix extra settings notifies on startup 
  that were causing significant performance problems as fonts were reloaded.

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Conflicts with libgtk+2-devel < 2.0.0 to ease upgrade from Mdk 8.2

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch0 (rawhide): Fix bug with GTK_IM_MODULE environment variable
- Patch1 (rawhide): Fixes to GtkIMContextSimple compose table for us-intl keyboards
- Patch2 (rawhide): Fix problem with keycodes passed to GtkIMContextXIM

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Update sources 1 & 2 to disable AA for known locales where we 
  lacks scalable fonts (pablo)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6
- Remove patch0 (merged upstream)

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Fix dependencies in -devel packages : x11-devel package is now providing
  gtk2-devel package. 

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Lower some optimizations, gcc 3.1.1 has some problems with -O3

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Patch0 (Rawhide): use GTK2_RC_FILES instead of GTK_RC_FILES, since KDE
  points GTK_RC_FILES to gtk-1.2 ~/.gtkrc
- Enable GDK_USE_XFT for all applications

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Remove patch1 (merged upstream)
- Enable fb build

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Apr  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2 (GUADEC Powered)
- Remove patch 0 (merged upstream)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0 (package highlu based on 
- Disabled linux-fb target temporarily, causing HUGE memory leak 
  (anyway, x11 and linux-fb target can't coexist for now.)

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-2mdk
- Fix provides for linuxfb-devel package

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-1mdk
- Release 1.3.13

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-4mdk
- Garzikfy build : remove ugly hack for building of linux-fb part

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.12-3mdk
- BuildRequires

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-2mdk
- Add prereq in main package
- Fix duplicate of linux-fb devel libraries in -devel (thanks to J.A. Magallon)

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove patch0 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-2mdk
- Patch 0: update linux-fb to pango 0.22 API
- Create linux-fb sub-package
- Clean specfile with help of Abel Cheung <maddog@linuxhall.org> :
 - Add "enable_gtkdoc" variable to toggle building gtk-doc stuff
 - Remove all references of install-info, info files are no more
 - Remove references of {gtk+-gtkbeta}{,-devel}
 - BuildRequires: libtool >= 1.4.2 to solve bootstrap problem
 - Changed summary and description of lib package
 - Remove unused static modules from file list
 - Set config file as ghost file
 - Split one more package to please rpmlint

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-1mdk
- Release 1.3.11

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-1mdk
- Release 1.3.10
- Clean specfile

* Wed Oct 17 2001 DindinX <odin@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Tue Oct  9 2001 DindinX <odin@mandrakesoft.com> 1.3.6-5mdk
- some cleanups
- make rpmlint happier.

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-4mdk
- BuildRequires:	pkgconfig XFree86-devel

* Mon Aug 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-3mdk
- circumvented the libtool problems

* Tue Jul 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-2mdk
- rebuild with forcing use of new libtools

* Fri Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-1mdk
- updated to 1.3.6

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-4mdk
- added indic input methods

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-3mdk
- first version for mdk
- improved with inclusion of docs, copied from the pango site rpm package
- properly include translation files, keyboard input methods, and etc config

* Tue May 15 2001 DindinX <odin@mandrakesoft.com> 1.3.5-2mdk
- corrected package source name.

* Mon May 14 2001 DindinX <odin@mandrakesoft.com> 1.3.5-1mdk
- first mandrake release of gtk+-2.0pre

